#!/bin/sh

# vm_mon.sh

pid="$1"

if [ $pid -gt 1 2>/dev/null ] ; then
  echo "PID of mysqld is $pid."
else
  echo "Please enter pid."
  exit 1
fi

log="/tmp/vm_mon_$pid.log"
echo "Log file is: $log"
sleep=3600
echo "Interval is: $sleep"

os=`uname -s`

if [ "$os" = "Linux" ] ; then
  cmd="cat /proc/$pid/status"
elif [ "$os" = "SunOS" ] ; then
  cmd="pmap $pid"
else
  echo "Unknown operating system: $os"
  exit 2
fi

echo "Command to run is: $cmd"

while [ 1 ] ; do
  $cmd >>$log 2>&1
  echo "*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*" >>$log
  sleep $sleep
done

